<?php
session_start();
if (!isset($_SESSION["admin_id"])) {
    header("Location: admin.php");
    exit;
}

if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST["ogrenci_id"])) {
    $ogrenci_id = $_POST["ogrenci_id"];

    try {
    $db = new PDO("mysql:host=localhost;dbname=yenicesi_2305610353;charset=utf8", "yenicesi_2305610353", "2305610353C.");
    } catch (PDOException $e) {
        die("Veritabanı bağlantı hatası: " . $e->getMessage());
    }

    $sorgu = $db->prepare("DELETE FROM ogrenciler WHERE id = ?");
    $sil = $sorgu->execute([$ogrenci_id]);

    if ($sil) {
        header("Location: admin_dashboard.php?silme=basarili");
        exit;
    } else {
        echo "Silme işlemi başarısız.";
    }
} else {
    echo "Geçersiz istek.";
}
